package cn.superdesk.uniorder.service.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelProfitSync;
import cn.superdesk.uniorder.dto.receive.consumer.superdeskapp.UnifiedChannelProfitSyncReceiveParam;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedChannelProfitSyncPage;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @CreateDate: 2022/3/22 2:19 下午
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022/3/22 2:19 下午
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface UnifiedChannelProfitSyncService extends BaseService<UnifiedChannelProfitSync> {

    /****************************************** extends BaseService 部分 start ******************************************/

    int insertSelective(UnifiedChannelProfitSync entity);

    int updateByPrimaryKeySelective(UnifiedChannelProfitSync entity);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    UnifiedChannelProfitSync findById(Long id);

    @Deprecated
    PageInfo<UnifiedChannelProfitSync> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<UnifiedChannelProfitSync> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end ******************************************/


    void addUnifiedChannelProfitSync(UnifiedChannelProfitSync entity);

    void updateUnifiedChannelProfitSync(UnifiedChannelProfitSync entity);

    void deleteUnifiedChannelProfitSync(Long id);

    UnifiedChannelProfitSync findUnifiedChannelProfitSyncById(Long id);

    R<List<UnifiedChannelProfitSync>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);


    UnifiedChannelProfitSync findChannelProfitBySyncId(Long id);

    R<List<UnifiedChannelProfitSyncPage>> getChannelPage(Map<String, Object> params, int pageNum, int pageSize);


    /***************************************************** 关于kafka同步 start *****************************************************/

    void deleteReceiveUnifiedChannelProfitSync(String message);

    void mergeReceiveUnifiedChannelProfitSync(String message);

    void convertReceiveUnifiedChannelProfitSyncParam2Entity(UnifiedChannelProfitSyncReceiveParam unifiedChannelProfitSyncReceiveParam,
                                                            UnifiedChannelProfitSync unifiedChannelProfitSync);

    /***************************************************** 关于kafka同步  end  *****************************************************/
}
